// Matrix.h

#ifndef _MATRIX_H_
#define _MATRIX_H_

#include <string.h>

typedef struct matrix
{	float matrix[16];
}MATRIX;

float * Matrix_GetMatrix(MATRIX * pM);
void Matrix_Matrix(MATRIX * pM);
void Matrix_PostMultiply(MATRIX * pM, const MATRIX * pMatrix );
void Matrix_SetTranslation(MATRIX * pM, const float *translation );
void Matrix_SetInverseTranslation(MATRIX * pM, const float *translation );
void Matrix_SetRotationDegrees(MATRIX * pM, const float *angles );
void Matrix_SetInverseRotationDegrees(MATRIX * pM, const float *angles );
void Matrix_SetRotationRadians(MATRIX * pM, const float *angles );
void Matrix_setInverseRotationRadians(MATRIX * pM, float *angles );
void Matrix_Set(MATRIX * pM, const float * pMatrix );
void Matrix_LoadIdentity(MATRIX * pM);
void Matrix_RotateVect(MATRIX * pM, float *pVect );
void Matrix_InverseRotateVect(MATRIX * pM, float *pVect );
void Matrix_TranslateVect(MATRIX * pM, float *pVect );
void Matrix_InverseTranslateVect(MATRIX * pM, float *pVect );

#endif //
